import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Subscription } from 'rxjs';
import { RadioStateService } from './radio-state.service';
export declare class RadioComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private radioStateService;
    name: string;
    value: string;
    forId: string;
    text: string;
    checkedIcon: string;
    uncheckedIcon: string;
    disabled: boolean;
    readonly: boolean;
    checked: boolean;
    uiChange: EventEmitter<string>;
    rawInput: ElementRef;
    sub: Subscription;
    focus: boolean;
    private onChange;
    private onTouched;
    constructor(radioStateService: RadioStateService);
    click(): void;
    blur(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
